Bug 19083 - 'Show all details' checkbox on basket summary page is broken
Summary: 'Show all details' checkbox on basket summary page is broken
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 12333
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 23:50 UTC by Katrin Fischer
Modified: 2017-10-13 17:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19083: Fix 'show all details' link on closed basket detail (1.38 KB, patch)
2017-10-10 14:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19083: Fix 'show all details' link on closed basket detail (1.42 KB, patch)
2017-10-11 14:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19083: Fix 'show all details' link on closed basket detail (1.48 KB, patch)
2017-10-11 15:39 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 19083: Fix 'show all details' link on closed basket detail (1.57 KB, patch)
2017-10-13 09:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-08-10 23:50:07 UTC
'Show all details' used to make additional columns appear on the basket summary page. This functionality appears to be broken.

To test:
- Create a basket in acq
- Add some order lines
- Test the 'show all detail' link
- Verify that the clicking the check box doesn't change anything in the view
Comment 1 Katrin Fischer 2017-08-11 09:11:39 UTC
Ah, noticed something: It's not working when the basket is closed and in a basket group. So this should be added to the test plan.

Otherwise it appears to work still.
Comment 2 Jonathan Druart 2017-10-10 14:02:19 UTC
Created attachment 67874 [details] [review]
Bug 19083: Fix 'show all details' link on closed basket detail

'Show all details' add columns on the basket summary page.
This link is broken if the basket is closed.

Indeed there is a JS error raised by $('#toolbar').fixFloat();
The toolbar is not displayed if the basket is closed.

This is caused by bug 12333, which added the floating toolbar.

Test plan:
Create 2 baskets with orders
Close 1 basket
Click on the 'show all details' links and confirm it works as expected
Also confirm that the toolbar works correctly
Comment 3 Owen Leonard 2017-10-11 14:01:55 UTC
Created attachment 67958 [details] [review]
Bug 19083: Fix 'show all details' link on closed basket detail

'Show all details' add columns on the basket summary page.
This link is broken if the basket is closed.

Indeed there is a JS error raised by $('#toolbar').fixFloat();
The toolbar is not displayed if the basket is closed.

This is caused by bug 12333, which added the floating toolbar.

Test plan:
Create 2 baskets with orders
Close 1 basket
Click on the 'show all details' links and confirm it works as expected
Also confirm that the toolbar works correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 PTFS Europe Sandboxes 2017-10-11 15:38:51 UTC
Patch tested with a sandbox, by Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 5 PTFS Europe Sandboxes 2017-10-11 15:39:15 UTC
Created attachment 67965 [details] [review]
Bug 19083: Fix 'show all details' link on closed basket detail

'Show all details' add columns on the basket summary page.
This link is broken if the basket is closed.

Indeed there is a JS error raised by $('#toolbar').fixFloat();
The toolbar is not displayed if the basket is closed.

This is caused by bug 12333, which added the floating toolbar.

Test plan:
Create 2 baskets with orders
Close 1 basket
Click on the 'show all details' links and confirm it works as expected
Also confirm that the toolbar works correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 6 Marcel de Rooy 2017-10-13 09:34:36 UTC
Created attachment 68056 [details] [review]
Bug 19083: Fix 'show all details' link on closed basket detail

'Show all details' add columns on the basket summary page.
This link is broken if the basket is closed.

Indeed there is a JS error raised by $('#toolbar').fixFloat();
The toolbar is not displayed if the basket is closed.

This is caused by bug 12333, which added the floating toolbar.

Test plan:
Create 2 baskets with orders
Close 1 basket
Click on the 'show all details' links and confirm it works as expected
Also confirm that the toolbar works correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-10-13 17:00:20 UTC
Pushed to master for 17.11, thanks to everybody involved!